
#chatBotContainer .panel-default > .panel-heading {
    color: #616161 !important;
    background: #fff;
    border-color: #fff;
    /*background: -webkit-linear-gradient(50deg,#f6981e,#fc6262)!important;
			background: -o-linear-gradient(50deg,#f6981e,#fc6262)!important;
			background: linear-gradient(40deg,#f6981e,#fc6262)!important;*/
}

#chatBotContainer .panel-default {
    border-color: #eceff1;
    box-shadow: 0px 1px 5px 0px #444;
}

#chatBotContainer .hide {
    display: none;
}

.messages.msg_sent:after {
    /*content: '';*/
    /*position: absolute;*/
    /*border-color: transparent transparent transparent #607D8B !important;*/
    /*width: 10px;*/
    /*height: 10px;*/
    /*border: 8px solid;                */
    /*right: -6px;*/
    /*bottom:8px;*/
    /*   content: '';
            position: absolute;
            border-color: transparent transparent transparent #cdf4d7 !important;
            width: 10px;
            height: 10px;
            border: 8px solid;
            right: 1px;
            top: 0px;
            border-width: 0 0 10px 10px;*/
}


/* .messages.msg_receive:before {
            content: '';
            position: absolute;
            border-color: transparent #efefef transparent transparent !important;
            width: 10px;
            height: 10px;
            border: 8px solid;
            top: 0px;
            left: 1px;
            border-width: 0 10px 10px  0;
        }*/
#chatBotContainer .relative {
    position: relative;
}

#chatBotContainer .btn-group-lg > .btn,
#chatBotContainer .btn-lg {
    padding: 6px 10px;
}

#chatBotContainer .col-md-2,
#chatBotContainer .col-md-10, #chatBotContainer .col-2{
    padding: 0;
}

#chatBotContainer .panel {
    margin-bottom: 0px;
    position: relative;
}

.chat-window.new {
    width: 320px;
    /*margin: 0 auto;*/
    border-radius: 3px 3px 0 0;
    position: fixed;
    right: 15px;
    bottom: 5px;
    z-index: 1031;
}
/*.chat-window > div > .panel {*/
/*    border-radius: 5px 5px 0 0;*/
/*}*/
.icon_minim {
    padding: 2px 10px;
}

.msg_container_base {
    background: #fff;
    padding: 10px 15px;
    max-height: 400px;
    height: 400px !important;
    overflow-y: auto;
    /*height: 345px;*/
    /*background-image: url('/images/free-from-section-cover.png');*/
    overflow-x: hidden;
    position: relative;
}

.top-bar {
    background: linear-gradient(to right, rgba(9, 179, 239, 1) 0%, rgba(30, 80, 226, 1) 100%);
    color: white;
    padding: 10px 10px;
    position: relative;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    /*overflow: hidden;*/
}

.msg_receive {
    border-radius: 0 20px 20px;
    padding-left: 0px;
    margin-left: 0;
    color: #222 !important;
    background: #eff3f6;
    /*background: -webkit-linear-gradient(30deg,#ECEFF1,#CFD8DC)!important;
			background: -o-linear-gradient(30deg,#ECEFF1,#CFD8DC)!important;
			background: linear-gradient(30deg,#ECEFF1,#CFD8DC)!important;*/
}

.msg_sent {
    margin-right: 10px;
    margin-left: 15px !important;
    border-radius: 20px 0 20px 20px;
    color: #fff !important;
    background: #0799dd;
    ;
    /*background: -webkit-linear-gradient(50deg,#f6981e,#fc6262)!important;
			background: -o-linear-gradient(50deg,#f6981e,#fc6262)!important;
			background: linear-gradient(40deg,#f6981e,#fc6262)!important;*/
}

.messages {
    padding: 8px 10px;
    /*border-radius: 2px 0 2px 2px;*/
    /*box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);*/
    max-width: 100%;
    /*margin-left: 10px;*/
    font-size: 1.4rem;
    line-height: 1.5;
    color: #000000;
}

    .messages.leftside {
        border-radius: 0px 3px 3px 3px;
    }

    .messages > p {
        margin: 0 0 0.2rem 0;
    }

    .messages > time {
        font-size: 11px;
        color: #ccc;
    }

.msg_container {
    padding: 5px 0;
    overflow: hidden;
    display: flex;
}

.avatar {
    position: relative;
    text-align: center;
    padding: 0 0 0 10px;
    max-width: 15%;
}

    .avatar img {
        width: 40px;
    }

.avatarUser {
    position: relative;
    /*margin-bottom: 22px;*/
    display: none;
}

.userMe {
    font-size: 11px;
    color: #999;
    text-transform: capitalize;
    white-space: normal;
    display: none;
}

.userMe-fixed {
    width: 100%;
    text-align: center;
    padding: 5px 0;
    border-bottom: 1px solid #fff;
    background-color: #009cd9;
    color: #fff;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: 400;
    transition: all 2s ease;
}

#chatBotContainer .dropbtn {
    background-color: #4CAF50;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

#chatBotContainer .dropdown {
    position: relative;
    display: inline-block;
}

#chatBotContainer .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

    #chatBotContainer .dropdown-content a {
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
    }

#chatBotContainer .dropdown-menu {
    min-width: 85px !important;
}

#chatBotContainer .dropdown-content a:hover {
    background-color: #f1f1f1
}

#chatBotContainer .dropdown:hover .dropdown-content {
    display: block;
}

#chatBotContainer .dropdown:hover .dropbtn {
    background-color: #3e8e41;
}

.base_sent {
    justify-content: flex-end;
    align-items: flex-end;
}

.msg_sent > time {
    float: right;
}

.msg_container_base::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #F5F5F5;
}

.msg_container_base::-webkit-scrollbar {
    width: 8px;
    background-color: #F5F5F5;
}

.msg_container_base::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background: #0799dd;
}

.btn-group.dropup {
    position: fixed;
    left: 0px;
    bottom: 0;
}
/*Added by Praveen*/

#loading-image {
    display: none;
    position: absolute;
    bottom: 80px;
    left: 48%;
    z-index: 1;
}

#chatingimage {
    margin-left: 42px;
    bottom: 245px;
    color: #ECEFF1;
    margin-top: -11px;
}

#showtime {
    border-top: 1px solid #ccd0d4;
    color: #747474;
    padding: 5px 0;
    text-align: center;
    width: 100%;
    position: relative;
    margin: 15px 0;
    font-size: 12px;
}

    #showtime span {
        width: 100px;
        background-color: #fff;
        padding: 3px 5px;
        position: absolute;
        left: calc( 50% - 50px);
        top: -12px;
    }
/*#chat_window_1 {*/
/*    display: none !important;*/
/*}*/
/*.chat_window{*/
/*    display: none !important;*/
/*}*/
.timeRLbl {
    margin-top: -5px;
    margin-right: 7px;
    color: #908e8e;
    float: right;
    font-size: 12px;
}

/*khaleel defined*/
.hvisibility {
    visibility: hidden;
}

#closeAll {
    vertical-align: text-top;
    cursor: pointer;
    position: absolute;
    top: 14px;
    right: 14px;
    opacity: 0.8;
}

    #closeAll:hover {
        opacity: 1;
    }

.timeRLbls {
    margin-top: -5px;
    margin-right: 7px;
    color: #908e8e;
    float: right;
    font-size: 12px;
}

.timeLLbl {
    color: #908e8e;
    margin-top: 5px;
    margin-left: 8px;
    font-size: 12px;
}

.chat-window .btn:focus {
    box-shadow: none !important;
}

#chatBotContainer .chat-window .btn-warning {
    border: 1px solid transparent !important;
    background-color: #0799dd !important;
    color: #fff !important;
    border-radius: 4px;
    padding: 3px 12px;
    margin: 0 2px 6px;
    width: 200px;
    cursor: pointer;
    font-size: 13px;
    text-align: center;
    text-transform: capitalize !important;
    letter-spacing: unset !important;
}

/*.popover {*/
/*  width:110px;*/
/*}*/

#chatBotContainer a.dropdown-toggle,
#chatBotContainer a.dropdown-toggle:hover,
#chatBotContainer a.dropdown-toggle:focus {
    color: #fff;
}

#chatBotContainer .btn-group-lg > .btn,
#chatBotContainer .btn-lg {
    padding: 10px 16px !important;
    font-size: 17px !important;
    background: #fff !important;
    border-color: #ccc !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075) !important;
    line-height: 1.45 !important;
    border-bottom-right-radius: 6px !important;
    border-top-right-radius: 6px !important;
    margin-top: 0px !important;
    text-transform: capitalize !important;
}

#chatBotContainer .btn-default:hover {
    color: #333;
    background-color: #e6e6e6 !important;
    border-color: #adadad !important;
}

#chatBotContainer .panel-center-title {
    font-size: 14px;
    float: right;
    margin-right: 0%;
    margin-top: 7px;
    margin-bottom: 0;
}

#chatBotContainer .btn.disabled, #chatBotContainer .btn[disabled], #chatBotContainer fieldset[disabled] .btn {
    background: none;
    background-color: #ccc;
    border: 0;
}

/*new addition*/
#chatBotContainer .panel-default {
    border-color: #212121 !important;
}

#chatBotContainer .input-group .form-control {
    border: 0;
    background: transparent;
    box-shadow: none;
    font-size: 13px;
}

#chatBotContainer .panel-footer {
    padding: 0;
    background-color: #ffffff;
    border-top: 1px solid #f8f8f8;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}

    #chatBotContainer .panel-footer a {
        color: #868e96;
    }

        #chatBotContainer .panel-footer a:hover {
            color: #0799dd;
        }

#chatBotContainer .btn-default, .btn-default:hover {
    border: 0 !important;
    box-shadow: none !important;
    background-color: #fff !important;
    cursor: pointer;
}

#chatBotContainer .bg-primary {
    background-color: #eceff1 !important;
}

#chatBotContainer .bg-secondary {
    background-color: #b6e8fa !important;
}

#chatBotContainer .card {
    /*border-radius: 0;
    border: 0;
    max-height: 500px;
overflow: auto;*/
}

#chatBotContainer .carousel-inner {
    /* box-shadow: 0px 0px 5px 1px #ccc;
  -wbkit-box-shadow: 0px 0px 5px 1px #ccc;
  -moz-box-shadow: 0px 0px 5px 1px #ccc;*/
    margin-bottom: 10px;
}

#chatBotContainer .carousel-item .list-group-item {
    font-size: 0.9rem;
    padding: .50rem 1.25rem;
}

/* pwoered by css - khaleel */

#chatBotContainer .poweredby {
    background: #fff;
    padding: 10px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    border-top: 1px solid #ddd;
    font-size: 12px;
}

.msg_container .col-10 {
    padding: 0 5px;
}

#chatBotContainer .carousel-control-next, .carousel-control-prev {
    width: 15%;
    height: 10%;
    top: 60px;
    background-color: rgba(0,0,0,0.6);
}

#chatBotContainer .poweredby-message {
    color: #000;
    /* position: absolute; */
    right: 0;
    /* text-shadow: 0 0px 2px #404040; */
    text-align: center;
}

    #chatBotContainer .poweredby-message a, #chatBotContainer .poweredby-message {
        color: #000;
        font-size: 10px;
        background: #e5e5e5;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
        padding: 5px 0;
    }

#chatBotContainer {
    /*z-index: 99;
	background: rgba(0, 0, 0, 0.7); width: 100%; height: 100%; position: fixed; left: 0px; top: 0px; bottom: 0px; right: 0px;*/
}

.msg_container .col-xs-10 {
    padding-left: 5px !important;
}

.messages p {
    font-size: 12px;
}

.chat-container {
    border-radius: 10px !important
}

/* Menu options */

#chatBotContainer .menu {
    position: absolute;
    bottom: 27px;
    z-index: 1001;
    width: 150px;
    box-shadow: 0 3px 10px rgba(0,0,0,.16) !important;
    padding: 10px 5px;
    border-radius: 4px;
    background: #fff;
    opacity: 1;
    animation: fadeIn;
    animation-duration: .25s;
    animation-iteration-count: 1;
}

#chatBotContainer .menu-item {
    padding: 2px;
    border: 1px solid #0799dd;
    border-radius: 3px;
    cursor: pointer;
    transition: background-color 500ms ease-out;
    font-size: 12px;
    margin-bottom: 5px;
}

    #chatBotContainer .menu-item:hover {
        background: #0799dd;
        border: 1px solid #0799dd;
        color: #fff;
    }

#chatBotContainer .arrow-down {
    width: 0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-top: 7px solid #fff;
    position: absolute;
    bottom: -7px;
}

/* Menu options */

#chatBotContainer .top-bar p {
    margin-bottom: 0 !important;
    text-transform: capitalize;
    margin-top: 0 !important;
}

#submitmsg:focus {
    outline: none !important
}
